+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 16 to 17 of 17
Like Tree1Likes

  Click here to go to the first Rift Team post in this thread.   Thread: Dec 13th update required?

  1. #16
    Soulwalker
    Join Date
    Jul 2017
    Posts
    14

    Default

    I can play on NA but not EU, on EU it says you are not running the correct version of the game..

  2. #17
    Rift Master
    Join Date
    Mar 2015
    Posts
    621

    Default

    The new patch fixed it for me now. Thanks!

+ Reply to Thread
Page 2 of 2 FirstFirst 1 2

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts